Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.sd
Interface SdEquationVariable

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SdAbstractVariable, SdGeneratable, SdNamedElement

All Known Subinterfaces:
  SdAuxVariable, SdFlowVariable

All Known Implementing Classes:
  SdAuxVariableImpl, SdEquationVariableImpl, SdFlowVariableImpl

    public interface SdEquationVariable

extends SdAbstractVariable

A representation of the model object 'Equation Variable'.

The following features are supported:

- `Equation`

See Also:
  `SdPackage.getSdEquationVariable()`

Method Summary
`java.lang.String` | `getEquation()` Returns the value of the 'Equation' attribute.
`void` | `setEquation(java.lang.String value)` Sets the value of the '`Equation`' attribute.

Methods inherited from interface org.eclipse.amp.amf.sd.SdAbstractVariable
`getParent, getToElement, setParent`

Methods inherited from interface org.eclipse.amp.amf.sd.SdNamedElement
`getComment, getName, setComment, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getEquation

    java.lang.String getEquation()

  Returns the value of the 'Equation' attribute. The default value is `"return 0;"`.

  If the meaning of the 'Equation' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Equation' attribute.
  See Also:
    `setEquation(String)`, `SdPackage.getSdEquationVariable_Equation()`

### setEquation

    void setEquation(java.lang.String value)

  Sets the value of the '`Equation`' attribute.

  Parameters:
    `value` - the new value of the 'Equation' attribute.
  See Also:
    `getEquation()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD